class Issue {
  Issue({
    required this.data,
  });
  late final List<Data> data;

  Issue.fromJson(Map<String, dynamic> json) {
    data = List.from(json['data']).map((e) => Data.fromJson(e)).toList();
  }

  Map<String, dynamic> toJson() {
    final _data = <String, dynamic>{};
    _data['data'] = data.map((e) => e.toJson()).toList();
    return _data;
  }
}

class Data {
  Data({
    required this.DESCRIPTION,
    required this.LOCATION,
    required this.STATUS,
    required this.STORE,
    required this.TIMESTAMP,
    required this.VIDEOURL,
    required this.VIDNOTID,
    required this.COMMENTS,
  });

  late final String DESCRIPTION;
  late final String LOCATION;
  late final String STATUS;
  late final String STORE;
  late final String TIMESTAMP;
  late final String VIDEOURL;
  late final int    VIDNOTID;
  late final String COMMENTS;

  Data.fromJson(Map<String, dynamic> json) {
    DESCRIPTION = json['DESCRIPTION'];
    LOCATION = json['LOCATION'];
    STATUS = json['STATUS'];
    STORE = json['STORE'];
    TIMESTAMP = json['TIME_STAMP'];
    VIDEOURL = json['VIDEO_URL'];
    VIDNOTID = json['VIDNOTID'];
    COMMENTS = json['COMMENTS'];
  }

  Map<String, dynamic> toJson() {
    final _data = <String, dynamic>{};
    _data['DESCRIPTION'] = DESCRIPTION;
    _data['LOCATION'] = LOCATION;
    _data['STATUS'] = STATUS;
    _data['STORE'] = STORE;
    _data['TIME_STAMP'] = TIMESTAMP;
    _data['VIDEO_URL'] = VIDEOURL;
    _data['VIDNOTID'] = VIDNOTID;
    _data['COMMENTS'] = COMMENTS;
    return _data;
  }
}
